package com.sf._03_linked_list.demo;

import java.util.LinkedList;

public class Test {
    public static void main(String[] args) {
        LinkedList<String> list = new LinkedList<>();
        /**
         * addFirst: 从头开始添加
         */
        list.addFirst("zhangsan");
        list.addFirst("lisi");
        list.addFirst("wangwu");

        /**
         * addLast : 从尾开始进行添加
         */
        list.addLast("zhaoliu");

        /**
         * getFirst : 获取列表第一个元素
         */
        System.out.println(list.getFirst());
        /**
         * getLast: 获取列表最后一个元素
         */
        System.out.println(list.getLast());

        /**
         * removeFirst: 移除列表的第一个元素
         * 返回值就是你移除的那个元素
         * removeLast:  移除列表的最后一个元素
         */
//        list.removeFirst();
        String str = list.removeLast();
        System.out.println("移除元素"+ str);
        System.out.println(list);


        /**
         * 栈的操作
         * push () 入栈
         *
         * pop()  出栈
         *
         * peek();  获取栈顶部元素
         */
//        list.push();
//        list.pop();
//        list.peek();
    }
}
